
////
/// PX-SHADOWS-DESIGN
/// Defines shadows
/// @group px-shadows-design
////

@import "../px-colors-design/_settings.colors.scss";

/// Sets a prepended namespace for all generated classes.
///
/// @group px-shadows-design:variables:style
/// @type String [default]
/// @todo n/a
$inuit-shadows-namespace   : $inuit-namespace !default;

/// Sets the box shadow for level 1: Component
///
/// @group px-shadows-design:variables:style
/// @type box-shadow | String [default]
/// @todo --px-shadow-component
$inuit-shadow-component     : 0px 1px 1px var(--px-shadow-component, rgba($black, .2));

/// Sets the box shadow for level 3: Temporary state
///
/// @group px-shadows-design:variables:style
/// @type box-shadow | String [default]
/// @todo --px-shadow-temporary
$inuit-shadow-temporary     : 0px 1px 3px var(--px-shadow-temporary, rgba($black, .2));

/// Sets the box shadow for level 4: navigation
///
/// @group px-shadows-design:variables:style
/// @type box-shadow | String [default]
/// @todo --px-shadow-navigation
$inuit-shadow-navigation     : 0px 2px 4px var(--px-shadow-navigation, rgba($black, .2));

/// Sets the box shadow for level 8: Notification
///
/// @group px-shadows-design:variables:style
/// @type box-shadow | String [default]
/// @todo --px-shadow-notification
$inuit-shadow-notification     : 0px 4px 8px var(--px-shadow-notification, rgba($black, .2));

/// Sets the box shadow for level 12: Modal state
///
/// @group px-shadows-design:variables:style
/// @type box-shadow | String [default]
/// @todo --px-shadow-modal
$inuit-shadow-modal     : 0px 6px 12px var(--px-shadow-modal, rgba($black, .2));



/// Shadow 1 : Component
.#{$inuit-shadows-namespace}shadow-component,
%#{$inuit-shadows-namespace}shadow-component{
  box-shadow: $inuit-shadow-component;
}

/// Shadow 3 : Temporary State
.#{$inuit-shadows-namespace}shadow-temporary,
%#{$inuit-shadows-namespace}shadow-temporary{
  box-shadow: $inuit-shadow-temporary;
}

/// Shadow 4 : Navigation
.#{$inuit-shadows-namespace}shadow-navigation,
%#{$inuit-shadows-namespace}shadow-navigation{
  box-shadow: $inuit-shadow-navigation;
}

/// Shadow 8 : Notification
.#{$inuit-shadows-namespace}shadow-notification,
%#{$inuit-shadows-namespace}shadow-notification{
  box-shadow: $inuit-shadow-notification;
}

/// Shadow 12 : Modal State
.#{$inuit-shadows-namespace}shadow-modal,
%#{$inuit-shadows-namespace}shadow-modal{
  box-shadow: $inuit-shadow-modal;
}
